org.optaplanner.core.impl.score.stream.bavet.uni

## Class BavetScoringUniNode<A>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode
  - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniNode<A>
    - - org.optaplanner.core.impl.score.stream.bavet.uni.BavetScoringUniNode<A>

- All Implemented Interfaces:
    BavetNode, BavetScoringNode

      public final class BavetScoringUniNode<A>
      extends BavetAbstractUniNode<A>
      implements BavetScoringNode

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `nodeOrder, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BavetScoringUniNode(BavetConstraintSession session, int nodeOrder, BavetAbstractUniNode<A> parentNode, String constraintPackage, String constraintName, Score<?> constraintWeight, BiFunction<A,Consumer<Score<?>>,UndoScoreImpacter> scoreImpacter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConstraintMatchTotal` | `buildConstraintMatchTotal(Score<?> zeroScore)`
    `BavetScoringUniTuple<A>` | `createTuple(BavetAbstractUniTuple<A> parentTuple)`
    `String` | `getConstraintId()`
    `String` | `getConstraintName()`
    `String` | `getConstraintPackage()`
    `Score<?>` | `getConstraintWeight()`
    `void` | `refresh(BavetScoringUniTuple<A> tuple)`
    `String` | `toString()`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.uni.BavetAbstractUniNode

      `addChildNode`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `getNodeOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.score.stream.bavet.common.BavetNode

      `getNodeOrder`

- - ### Constructor Detail

    - #### BavetScoringUniNode

          public BavetScoringUniNode(BavetConstraintSession session,
                                     int nodeOrder,
                                     BavetAbstractUniNode<A> parentNode,
                                     String constraintPackage,
                                     String constraintName,
                                     Score<?> constraintWeight,
                                     BiFunction<A,Consumer<Score<?>>,UndoScoreImpacter> scoreImpacter)

  - ### Method Detail

    - #### createTuple

          public BavetScoringUniTuple<A> createTuple(BavetAbstractUniTuple<A> parentTuple)

      Specified by:
        `createTuple` in class `BavetAbstractUniNode<A>`

    - #### refresh

          public void refresh(BavetScoringUniTuple<A> tuple)

    - #### buildConstraintMatchTotal

          public ConstraintMatchTotal buildConstraintMatchTotal(Score<?> zeroScore)

      Specified by:
        `buildConstraintMatchTotal` in interface `BavetScoringNode`
      Parameters:
        `zeroScore` - never null
      Returns:
        never null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getConstraintPackage

          public String getConstraintPackage()

      Specified by:
        `getConstraintPackage` in interface `BavetScoringNode`
      Returns:
        never null

    - #### getConstraintName

          public String getConstraintName()

      Specified by:
        `getConstraintName` in interface `BavetScoringNode`
      Returns:
        never null

    - #### getConstraintId

          public String getConstraintId()

      Specified by:
        `getConstraintId` in interface `BavetScoringNode`
      Returns:
        never null

    - #### getConstraintWeight

          public Score<?> getConstraintWeight()

      Specified by:
        `getConstraintWeight` in interface `BavetScoringNode`
      Returns:
        never null

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.